Urgent dependency solution, libmysqlclient.so.15

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Urgent dependency solution, libmysqlclient.so.15

Postby oktonworks » 08. December 2006 05:00

Hello,
I really mess things up baddly, hope someone can help me, fast.

I have already a working xampp on my fedora core 5 server, and always worked fine.

The problem started when trying to install a new sofware that needed the libmysqlclient.so.15 dependency through yum I runned the following command:

yum resolvedep libmysqlclient.so.15 > /opt/lampp/lib/mysql/libmysqlclient.so.15

then without knowing that I'd cause a big problem restarted my xampp and the problem appear:

/opt/lampp/bin/php: error while loading shared libraries: /opt/lampp/lib/mysql/libmysqlclient.so.15: invalid ELF header

Since then I can't get my server to start, always the same message.

Please someone tell me what I did and how do I fix it.



Please, urgent,


Zaaptar
Last edited by oktonworks on 08. December 2006 11:18, edited 1 time in total.
oktonworks
 
Posts: 2
Joined: 08. December 2006 04:39
Location: Colombia

Re: Urgent dependency solution, libmysqlclient.so.15

Postby oktonworks » 08. December 2006 11:18

I solved the problem... copying the original lib/mysql/ files from the tarball.

When I executed yum, it probably made changes to the libmysqlclient.so.15 file.

Now my xampp is up and running again.


Still... can someone tell me how yum resolvedeps worked? and if it's safe to use it in order to make the yum dependecies check the xampp locarion?

That would make other software to be smoothly integrated... is that possible?
oktonworks
 
Posts: 2
Joined: 08. December 2006 04:39
Location: Colombia


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 4 guests